Bug 816122 - autoconf-2.69 is available
autoconf-2.69 is available
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-04-25 06:03 EDT by Upstream Release Monitoring
Modified: 2012-05-15 09:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-15 09:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-04-25 06:03:52 EDT
Latest upstream release: 2.69
Current version in Fedora Rawhide: 2.68
URL: http://ftp.gnu.org/gnu/autoconf/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
Comment 1 Account closed by user 2012-05-14 20:26:48 EDT
* Noteworthy changes in release 2.69 (2012-04-24) [stable]

** Autoconf now requires perl 5.6 or better (but generated configure
   scripts continue to run without perl).

* Noteworthy changes in release 2.68b (2012-03-01) [beta]
  Released by Eric Blake, based on git versions 2.68.*.

** Autoconf-generated configure scripts now unconditionally re-execute
   themselves with $CONFIG_SHELL, if that's set in the environment.

** The texinfo documentation no longer specifies "front-cover" or
   "back-cover" texts, so that it may now be included in Debian's
   "main" section.

** Support for the Go programming language has been added.  The new macro
   AC_LANG_GO sets variables GOC and GOFLAGS.

** AS_LITERAL_IF again treats '=' as a literal.  Regression introduced in

** The macro AS_EXECUTABLE_P, present since 2.50, is now documented.

** Macros

- AC_PROG_LN_S and AS_LN_S now fall back on 'cp -pR' (not 'cp -p') if 'ln -s'
  does not work.  This works better for symlinks to directories.


- New and updated macros for Fortran support:

    AC_FC_CHECK_BOUNDS to enable array bounds checking
    AC_F77_IMPLICIT_NONE and AC_FC_IMPLICIT_NONE to disable implicit integer
    AC_FC_MODULE_EXTENSION to compute the Fortran 90 module name extension
    AC_FC_MODULE_FLAG for the Fortran 90 module search path flag
    AC_FC_MODULE_OUTPUT_FLAG for the Fortran 90 module output directory flag
    AC_FC_PP_SRCEXT for preprocessed Fortran source files extensions
    AC_FC_PP_DEFINE for the Fortran preprocessor define flag

Note You need to log in before you can comment on or make changes to this bug.